/// <reference types="node" />
import { Transporter, ListenOptions, CallBackFunction, PublishOptions } from 'typescript-microservice';
export declare type Callback = {
    topic: string;
    cb: CallBackFunction;
    options: ListenOptions;
    queue_name: string;
};
export declare class AmqpError extends Error {
    code: string;
    message: string;
    constructor(code: string, message: string);
}
export declare class AmqpTransporter implements Transporter {
    #private;
    private readonly url;
    private constructor();
    static init(url?: string): Promise<AmqpTransporter>;
    publish(topic: string, data: Buffer, options?: PublishOptions): Promise<void>;
    listen(topic: string, cb: CallBackFunction, options?: ListenOptions): any;
}
